Summary: Midnight Commander visual shell
Name: mc
%define	version	4.1.35
Version: %{version}
Release: 2
Copyright: GPL
Group: Shells
Source0: http://sunsite.unc.edu/pub/Linux/utils/file/managers/mc/mc-%{PACKAGE_VERSION}.tar.gz
Source1: tkmc.wmconfig
Url: http://mc.blackdown.org/mc/
Buildroot: /var/tmp/mc-root
Requires: pam >= 0.64
Prereq: /sbin/chkconfig
Summary(de): Visuelle Shell Midnight Commander
Summary(fr): Le shell Midnight Commander
Summary(tr): Midnight Commander grsel kabuu

%description
Midnight Commander is a visual shell much like a file manager, only
with way more features.  It is text mode, but also includes mouse
support if you are running GPM.  Its coolest feature is the ability
to ftp, view tar and zip files, and poke into RPMs for specific files.  :-)

%package -n tkmc
Summary: Midnight Commander visual shell (tk version)
Requires: mc
Group: X11/Shells
Summary(de): Midnight Commander Visual-Shell (tk-Version)
Summary(fr): shell visuel Midnight Commander (version tk)
Summary(tr): Midnight Commander grsel kabuu (tk srm)

%description -n tkmc
Midnight Commander is a visual shell much like a file manager, only with
way more features.  It is tk X window wersion. Its coolest feature is the
ability to ftp, view tar and zip files, and poke into RPMs for specific files.
The tk version of Midnight Commander is not yet finished, though. :-(
 

%package -n mcserv
Summary: Midnight Commander file server
Group: X11/Shells
Requires: portmap
Summary(de): Midnight Commander File-Server
Summary(fr): Serveur de fichier de Midnight Commander
Summary(tr): Midnight Commander dosya sunucusu

%description -n mcserv
mcserv is the server program for the Midnight Commander networking file
system. It provides access to the host file system to clients running the
Midnight file system (currently, only the Midnight Commander file manager).

%description -l de -n tkmc
Midnight Commander ist ein visuelles Shell in der Art eines Dateimanagers, 
aber mit sehr viel mehr Funktionen. Es ist eine tk-X-Windows-Version. 
Seine coolsten Fhigkeiten sind die ftp-Option, das Einsehen von tar- 
und zip-Dateien und das Herausfischen von spezifischen Dateien aus RPMs. 
Die tk-Version von Midnight Commander ist noch nicht ganz fertig, aber ...

%description -l de -n mcserv
mcserv ist das Server-Programm fr das Netzwerkdateisystem Midnight Commander.
Es ermglicht den Zugriff auf das Host-Dateisystem fr Clients, die das
Midnight-Dateisystem ausfhren (z.Zt. nur Midnight Commander file manager).

%description -l de
Midnight Commander ist ein Visual-Shell, hnlich einem Dateimanager, 
aber mit zustzlichen Funktionen. Es luft im Textmodus, kann jedoch 
eine Maus untersttzen, wenn GPM betrieben wird. Seine coolsten 
Fhigkeiten sind die ftp-Option, das Einsehen von tar- und zip-Dateien 
und das Herausfischen von spezifischen Dateien aus RPMs.

%description -l fr -n tkmc
Midnight Commander est un shell visuel un peu comme un gestionnaire de
fichiers mais avec plus de possibilits. Ceci est la version tk pour X.
Sa caractristique la plus agrable est la possibilit de faire du ftp, de
visualiser les fichiers tar et zip et de parcourir les RPMs pour rechercher
des fichiers prcis. La version tk de Midnight Commande n'est pas encore
totalement finie. :-(

%description -l fr -n mcserv
mcserv est un programme pour les systme de fichiers rseau de
Midnight Commander. Il fournit un accs au systme de fichiers de l'hte
aux clients sur lesquelles tourne le systme de fichiers Midnight
(actuellement, Midnight Commander est le seul).

%description -l fr
Midnight Commander est un shell visuel un peu comme un gestionnaire de
fichiers mais avec plus de possibilits. Ceci est la version texte mais
elle intgre aussi la gestion de la souris si vous excutez gpm.
Sa caractristique la plus agrable est la possibilit de faire du ftp, de
visualiser les fichiers tar et zip et de parcourir les RPMs pour rechercher
des fichiers prcis. :-)

%description -l tr -n tkmc
Midnight Commander'n tk srm henz tamamlanmamtr. Metin ekran srmnn
ierdii btn yeteneklere sahip deildir.

%description -l tr -n mcserv
mcserv, Midnight Commander a dosya sisteminin sunucu programdr. Midnight
dosya sistemini altran istemcilerin sunucu dosya sistemine eriimini
salar.

%description -l tr
Midnight Commander bir dosya yneticisine ok benzeyen ancak daha yetenekli
bir grsel kabuktur. Metin ekranda alr ve GPM alyorsa fare destei
vardr. En ho zellikleri ftp yapabilmesi, tar, zip ve RPM dosyalarnn
ieriklerini gsterebilmesidir.

%changelog
* Mon Jun 08 1998 Prospector System <bugs@redhat.com>

- translations modified for de

* Thu Jun 04 1998 Jeff Johnson <jbj@redhat.com>
- updated to 4.1.35.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 4.1.33 to fix extfs problems

* Mon May 04 1998 Michael K. Johnson <johnsonm@redhat.com>
- upgraded to 4.1.32
- enhanced init script

* Mon Apr 20 1998 Erik Troan <ewt@redhat.com>
- built against newer ncurses

* Thu Oct 30 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added dependency on portmap

* Wed Oct 29 1997 Michael K. Johnson <johnsonm@redhat.com>
- fixed spec file.
- Updated to 4.1.8

* Sun Oct 26 1997 Tomasz Koczko <kloczek@idk.com.pl>
- updated to 4.1.6
- added %attr macros in %files,
- a few simplification in %install,
- removed glibc patch,
- fixed installing /etc/X11/wmconfig/tkmc.

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- updated to 4.1.5
- added wmconfig

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- chkconfig is for mcserv package, not mc one

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- patched init script for chkconfig
- don't turn on the service by default

* Fri Oct 10 1997 Michael K. Johnson <johnsonm@redhat.com>
- Converted to new PAM conventions.
- Updated to 4.1.3
- No longer needs glibc patch.

* Thu May 22 1997 Michele Marziani <marziani@fe.infn.it>
- added support for mc alias in /etc/profile.d/mc.csh (for csh and tcsh)
- lowered number of SysV init scripts in /etc/rc.d/rc[0,1,6].d
  (mcserv needs to be killed before inet)
- removed all references to $RPM_SOURCE_DIR
- restored $RPM_OPT_FLAGS when compiling
- minor cleanup of spec file: redundant directives and comments removed

* Sun May 18 1997 Michele Marziani <marziani@fe.infn.it>
- removed all references to non-existent mc.rpmfs
- added mcedit.1 to the %files section
- reverted to un-gzipped man pages (RedHat style)
- removed double install line for mcserv.pamd

* Tue May 13 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added new rpmfs script,
- removed mcfn_install from mc (adding mc() to bash enviroment is in
  /etc/profile.d/mc.sh),
- /etc/profile.d/mc.sh changed to %config,
- removed /usr/lib/mc/bin/create_vcs,
- removed /usr/lib/mc/term.

* Wed May 9 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- changed source url,
- fixed link mcedit to mc,

* Tue May 7 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- new version 3.5.27,
- %dir /usr/lib/mc/icons and icons removed from tkmc,
- added commented xmc part.

* Tue Apr 22 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- FIX spec:
   - added URL field,
   - in mc added missing /usr/lib/mc/mc.ext, /usr/lib/mc/mc.hint,
     /usr/lib/mc/mc.hlp, /usr/lib/mc/mc.lib, /usr/lib/mc/mc.menu.

* Fri Apr 18 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added making packages: tkmc, mcserv (xmc not work yet),
- gziped man pages,
- added /etc/pamd.d/mcserv PAM config file.
- added instaling icons,
- added /etc/profile.d/mc.sh,
- in %doc added NEWS README,
- removed /usr/lib/mc/FAQ,
- added mcserv.init script for mcserv (start/stop on level 86).

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure --prefix=/usr --with-tk --without-gnome
make
(cd tk; make tkmc)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d $RPM_BUILD_ROOT/etc/{pam.d,profile.d,X11/wmconfig}

make prefix=$RPM_BUILD_ROOT/usr install
(cd icons; make prefix=$RPM_BUILD_ROOT/usr install_icons)
install lib/mcserv.init $RPM_BUILD_ROOT/etc/rc.d/init.d/mcserv

install lib/mcserv.pamd $RPM_BUILD_ROOT/etc/pam.d/mcserv
install lib/{mc.sh,mc.csh} $RPM_BUILD_ROOT/etc/profile.d

install -s tk/tkmc $RPM_BUILD_ROOT/usr/bin
install $RPM_SOURCE_DIR/tkmc.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/tkmc

rm -f $RPM_BUILD_ROOT/usr/lib/mc/FAQ
strip $RPM_BUILD_ROOT/usr/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -n mcserv
/sbin/chkconfig --add mcserv

%postun -n mcserv
if [ "$1" = 0 ] ; then
  /sbin/chkconfig --del mcserv
fi

%files
%attr(-, root, root) %doc FAQ COPYING NEWS README
%attr(755, root, root) /usr/bin/mc
%attr(755, root, root) /usr/bin/mcedit
%attr(755, root, root) /usr/bin/mcmfmt
%attr(644, root, root) /usr/lib/mc/mc.ext
%attr(644, root, root) /usr/lib/mc/mc.hint
%attr(644, root, root) /usr/lib/mc/mc.hlp
%attr(644, root, root) /usr/lib/mc/mc.lib
%attr(644, root, root) /usr/lib/mc/mc.menu
%attr(755, root, root) /usr/lib/mc/bin/cons.saver
%attr(755, root, root) /usr/lib/mc/extfs/*
%attr(644, root, man) /usr/man/man1/mc.1
%attr(644, root, man) /usr/man/man1/mcedit.1
%attr(755, root, root) %config /etc/profile.d/mc.sh
%attr(755, root, root) %config /etc/profile.d/mc.csh
%attr(755, root, root) %dir /usr/lib/mc/
%attr(755, root, root) %dir /usr/lib/mc/bin
%attr(755, root, root) %dir /usr/lib/mc/extfs

%files -n mcserv
%attr(644, root, root) %config /etc/pam.d/mcserv
%attr(755, root, root) %config /etc/rc.d/init.d/mcserv
%attr(644, root, man) /usr/man/man8/mcserv.8
%attr(755, root, root) /usr/bin/mcserv

%files -n tkmc
%attr(755, root, root) /usr/bin/tkmc
%attr(644, root, root) /usr/lib/mc/gd.tcl
%attr(644, root, root) /usr/lib/mc/gui.tcl
%attr(644, root, root) /usr/lib/mc/mc.tcl
%attr(644, root, root) %config(missingok) /etc/X11/wmconfig/tkmc
